{% load staticfiles %}
<!DOCTYPE html>
<html lang="en">
<head>
 	<meta http-equiv="Content-Type" content="text/html"; charset="utf-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1"/>
<!--===============================================================================================-->	
	<link rel="stylesheet" type="text/css" href="https://code.highcharts.com/css/highcharts.css" />		
<!--===============================================================================================-->
  <link rel="icon" href="{% static 'images/logo-head.PNG' %}">

</head>
<body bgcolor="#ffffff">
<div id="container1" style="width:100%; height:700px;margin-right: 0 " align="right"></div>

<script src="{% static 'js/highstock.js'%}"></script>
<script src="{% static 'js/lang.js'%}"></script>
 
<script>
var id={{id|safe}}
var hashtags={{hashtags|safe}}
var chart1=Highcharts.chart('container1', {
    chart: {
        type: 'bar'
    },
    title: {
        text: '<p data-mlr-text>أبرز 20 أوسمة</p>',
	useHTML:true
    },
    
    xAxis: {
	        type: 'category',

        labels: {
            rotation: 0,
            style: {
                fontSize: '13px',
                fontFamily: 'Verdana, sans-serif'
            }
        }
    },
    yAxis: {
        min: 0,
		allowDecimals:false,
        title: {
            text: 'Frequency'
        }
    },
    legend: {
        enabled: false
    },
    tooltip: {
	useHTML:true,
        pointFormat:'{point.y.0f}',
	headerFormat: '<b>{point.y}</b>',
	
},

plotOptions: {
        series: {
            cursor: 'pointer',
            point: {
                events: {
                    click: function () {
						name=Object.entries(this.series.data)[this.x][1]["name"]
					  src="http://34.66.198.6/"+id+"/timeline/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/hashtags/"+name+"/"
					  parent.loadIframe("timeline",src)
					  src="http://34.66.198.6/"+id+"/account/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/hashtags/"+name+"/"
					  parent.loadIframe("account",src)
		                          src="http://34.66.198.6/"+id+"/sentiment_trend/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/hashtags/"+name+"/automatic/"
                		          parent.loadIframe("sentiment_trend",src)
					  src="http://34.66.198.6/"+id+"/adopter/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/hashtags/"+name+"/"
					  parent.loadIframe("adopter",src)
					  src="http://34.66.198.6:3838/?id="+id+"&min="+parseInt(parent.min).toString()+"&max="+parseInt(parent.max).toString()+"&top=hashtags"+"&word="+name+"&skip=0"
					  parent.loadIframe("chirp",src)
		                          src="http://34.66.198.6/"+id+"/map/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/hashtags/"+name+"/"
					  parent.loadIframe("map",src)
                     			  src="http://34.66.198.6/"+id+"/mentions_screen_name/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/hashtags/"+name+"/"
					  parent.loadIframe("mentions_screen_name",src)
                			  src="http://34.66.198.6/"+id+"/screen_name/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/hashtags/"+name+"/"
					  parent.loadIframe("screen_name",src)
        		                  src="http://34.66.198.6/"+id+"/sentiments/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/hashtags/"+name+"/"
					  parent.loadIframe("sentiments",src)
					  src="http://34.66.198.6/"+id+"/twitter/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/All/"+parent.document.getElementById("sel").value+"/hashtags/"+name+"/"
					  parent.loadIframe("twitter",src)
					  src="http://34.66.198.6/"+id+"/word/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/All/"+parent.document.getElementById("sel").value+"/hashtags/"+name+"/"
					  parent.loadIframe("word-cloud",src)
					  parent.loadIframe("word-assoc","http://34.66.198.6/"+id+"/word/0/999999999999999/All/all/top/top/_")


				    }
                }
            }
        }
    },
    series: [{
	name:"Top 10 Hashtags",        
        data: (hashtags),
        
        
    }]
});

	
	</script>

	
	
 
</body>
</html>
